org.springframework.web.portlet.context

## Interface PortletConfigAware

All Superinterfaces:
  Aware

All Known Implementing Classes:
  PortletWrappingController, SimplePortletPostProcessor

    public interface PortletConfigAware
    extends Aware

Interface to be implemented by any object that wishes to be notified of the PortletConfig (typically determined by the PortletApplicationContext) that it runs in.

Since:
  2.0
Author:
  Juergen Hoeller, Chris Beams
See Also:
  `PortletContextAware`

### Method Summary

Methods
`void` `setPortletConfig(PortletConfig portletConfig)` Set the PortletConfigthat this object runs in.

### Method Detail

#### setPortletConfig

    void setPortletConfig(PortletConfig portletConfig)

Set the PortletConfigthat this object runs in.

Invoked after population of normal bean properties but before an init callback like InitializingBean's afterPropertiesSet or a custom init-method. Invoked after ApplicationContextAware's setApplicationContext.

Parameters:
  `portletConfig` - PortletConfig object to be used by this object